# Uses of Class
org.eclipse.mat.ui.util.PaneState

Packages that use PaneState
Package
Description
org.eclipse.mat.ui
User interface plug-in definitions and query execution for UI components (not API).
org.eclipse.mat.ui.compare
Compare reports basket and compared tables - user interface (not API).
org.eclipse.mat.ui.editor
Editor for viewing snapshot (not API).
org.eclipse.mat.ui.internal.views
Some general views such as details of the dump, list of dumps, some user written notes, and the history of actions - user interface (not API).
org.eclipse.mat.ui.util
Utility classes for toolbars, popup menu, searching on typing - user interface (not API).

## Uses of PaneState in org.eclipse.mat.ui

Methods in org.eclipse.mat.ui with parameters of type PaneState
Modifier and Type
Method
Description
`static void`
QueryExecution.`displayResult(MultiPaneEditor editor, PaneState originator, PaneState stateToReopen, QueryResult result, boolean isReproducable)`
`static void`
QueryExecution.`execute(MultiPaneEditor editor, PaneState originator, PaneState stateToReopen, ArgumentSet set, boolean forcePrompt, boolean isReproducable)`
`static void`
QueryExecution.`executeAgain(MultiPaneEditor editor, PaneState state)`
`static void`
QueryExecution.`executeCommandLine(MultiPaneEditor editor, PaneState originator, String commandLine)`
`static void`
QueryExecution.`executeCommandLine(MultiPaneEditor editor, PaneState originator, String commandLine, boolean prompt)`

## Uses of PaneState in org.eclipse.mat.ui.compare

Methods in org.eclipse.mat.ui.compare with parameters of type PaneState
Modifier and Type
Method
Description
`static boolean`
CompareBasketView.`accepts(PaneState state, MultiPaneEditor editor)`
`void`
CompareBasketView.`addResultToCompare(PaneState state, MultiPaneEditor editor)`

## Uses of PaneState in org.eclipse.mat.ui.editor

Methods in org.eclipse.mat.ui.editor that return PaneState
Modifier and Type
Method
Description
`PaneState`
AbstractEditorPane.`getPaneState()`
Methods in org.eclipse.mat.ui.editor with parameters of type PaneState
Modifier and Type
Method
Description
`void`
MultiPaneEditor.`bringPageToTop(PaneState state)`
`void`
CompositeHeapEditorPane.`closePage(PaneState state)`
`void`
MultiPaneEditor.`closePage(PaneState state)`
`AbstractEditorPane`
MultiPaneEditor.`getEditor(PaneState state)`
`void`
MultiPaneEditor.`initWithAnotherArgument(PaneState parent, PaneState child)`
`void`
AbstractEditorPane.`setPaneState(PaneState paneState)`

## Uses of PaneState in org.eclipse.mat.ui.internal.views

Methods in org.eclipse.mat.ui.internal.views with parameters of type PaneState
Modifier and Type
Method
Description
`void`
NavigatorViewPage.`onStateChanged(PaneState state)`

## Uses of PaneState in org.eclipse.mat.ui.util

Methods in org.eclipse.mat.ui.util that return PaneState
Modifier and Type
Method
Description
`PaneState`
PaneState.`getParentPaneState()`
Methods in org.eclipse.mat.ui.util that return types with arguments of type PaneState
Modifier and Type
Method
Description
`List<PaneState>`
PaneState.`getChildren()`
`List<PaneState>`
NavigatorState.`getElements()`
Methods in org.eclipse.mat.ui.util with parameters of type PaneState
Modifier and Type
Method
Description
`void`
NavigatorState.IStateChangeListener.`onStateChanged(PaneState state)`
`void`
NavigatorState.`paneAdded(PaneState state)`
`void`
NavigatorState.`paneRemoved(PaneState state)`
`void`
NavigatorState.`removeEntry(PaneState paneState)`
Constructors in org.eclipse.mat.ui.util with parameters of type PaneState
Modifier
Constructor
Description
``
`PaneState(PaneState.PaneType type, PaneState originator, String identifier, boolean reproducable)`